Bug 27937 - Implement HTML5 nav element
: Implement HTML5 nav element
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: HTML DOM
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Maciej Stachowiak
:
Depends on:
Blocks: 32934
  Show dependency treegraph
 
Reported: 2009-08-03 00:46 PDT by Maciej Stachowiak
Modified: 2009-12-25 08:35 PST (History)
0 users

See Also:


Attachments
Preliminary patch - no tests yet. (3.01 KB, patch)
2009-08-03 00:46 PDT, Maciej Stachowiak
no flags Details | Formatted Diff | Diff
slightly updated patch (2.41 KB, patch)
2009-08-03 01:11 PDT, Maciej Stachowiak
no flags Details | Formatted Diff | Diff
Patch v1 (2.52 KB, patch)
2009-08-18 19:20 PDT, Maciej Stachowiak
no flags Details | Formatted Diff | Diff
complete patch - with ChangeLog and tests (8.84 KB, patch)
2009-08-18 19:26 PDT, Maciej Stachowiak
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2009-08-03 00:46:58 PDT
Created attachment 33962 [details]
Preliminary patch - no tests yet.

We should implement some of the simpler new elements from HTML5. Let's start with nav.
Comment 1 Maciej Stachowiak 2009-08-03 01:11:27 PDT
Created attachment 33964 [details]
slightly updated patch
Comment 2 Eric Seidel 2009-08-03 09:28:02 PDT
Comment on attachment 33964 [details]
slightly updated patch

Without a ChangeLog it's difficult for me to know why this is correct. :(  Particularly why it should have tag-priority 5.
Comment 3 Maciej Stachowiak 2009-08-16 23:24:40 PDT
Comment on attachment 33964 [details]
slightly updated patch

Didn't mean to flag this.
Comment 4 Maciej Stachowiak 2009-08-18 19:20:31 PDT
Created attachment 35096 [details]
Patch v1
Comment 5 Maciej Stachowiak 2009-08-18 19:26:29 PDT
Created attachment 35098 [details]
complete patch - with ChangeLog and tests

Curse you, bugzilla-tool.
Comment 6 Sam Weinig 2009-08-18 19:30:45 PDT
Comment on attachment 35098 [details]
complete patch - with ChangeLog and tests

>  // Checks if a string is a valid tag for the FormatBlockCommand function of execCommand. Expects lower case strings.
>  bool validBlockTag(const String& blockTag)
>  {
> +    // FIXME: convert this to a HashSet

Eek.  Or at least AtomicStrings.

> +
> Index: LayoutTests/fast/html/nav-element.html
> ===================================================================
> --- LayoutTests/fast/html/nav-element.html	(revision 0)
> +++ LayoutTests/fast/html/nav-element.html	(revision 0)
> @@ -0,0 +1,64 @@
> +<!doctype HTML>

> +
> +</body>
> +</style>
What is this </style> about.

r=me
Comment 7 Maciej Stachowiak 2009-08-18 22:10:59 PDT
Committed r47489: <http://trac.webkit.org/changeset/47489>